RDKit::MolMatchFinalCheckFunctor Class Reference

`#include <SubstructMatch.h>`

## Public Member Functions

| MolMatchFinalCheckFunctor (const ROMol &query, const ROMol &mol, const SubstructMatchParameters &ps)
bool | operator() (const std::uint32_t q_c[], const std::uint32_t m_c[]) const

## Detailed Description

Class used as a final step to confirm whether or not a given atom->atom mapping is a valid substructure match.

Definition at line 214 of file SubstructMatch.h.

## Constructor & Destructor Documentation

## MolMatchFinalCheckFunctor()

RDKit::MolMatchFinalCheckFunctor::MolMatchFinalCheckFunctor | ( | const ROMol & | query,
|  | const ROMol & | mol,
|  | const SubstructMatchParameters & | ps
| ) |  |

## Member Function Documentation

## operator()()

bool RDKit::MolMatchFinalCheckFunctor::operator() | ( | const std::uint32_t | q_c[],
|  | const std::uint32_t | m_c[]
| ) |  | const

The documentation for this class was generated from the following file:

- SubstructMatch.h